Skip to content

Driving License Authentication

| View as Markdown

This api is for validating a customer’s driving license details. We have to pass driving license number and date of birth in request. If the request have valid driving license details we will get a success response.

https://kraken.airpay.co.in/airpay/ms/baas/api/licence-verification
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeDescription
dlAlphanumericDriving License Number as mentioned on the license including special characters and spaces. (length 10-50, required)
dobdateDate of Birth as per License in dd-mm-yyyy format (format dd-mm-yyyy, required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/licence-verification' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'dl=04/1234/2007' \
--data-urlencode 'dob=01-02-1993'
FieldTypeDescription
statusNumeric400- fail,200-success(length 3)
messageTextsuccess, fail
dataText{ “father/husband”: “RAJ KUMAR”, “name”: “ANILA RAJ”, “img”: “/9j/4AAABCZJRgABAHAAAQABAAD/2nBDABALDA4MChAO”, “bloodGroup”: "", “dob”: “01-02-1993”, “dlNumber”: “04/1234/2007”, “address”: [ { “addressLine1”: "", “state”: "", “district”: "", “pin”: null, “completeAddress”: “AARADHYA BHAVAN, PERUMBAVUR, EDACHIRA P O”, “country”: "", “type”: “NA” } ], “status”: “Active”, “statusDetails”: { “from”: "", “to”: "", “remarks”: "" }, “validity”: { “nonTransport”: "", “transport”: "" }, “covDetails”: [ { “cov”: “LMV”, “issueDate”: “26-12-2011” }, { “cov”: “MCWG”, “issueDate”: “26-12-2011” } ], “issueDate”: “26-12-2011” }
{
"status": "200",
"message": "success",
"data": {
"father/husband": "RAJ KUMAR",
"name": "ANILA RAJ",
"img": "/9j/4AAABCZJRgABAHAAAQABAAD/2nBDABALDA4MChAO",
"bloodGroup": "",
"dob": "01-02-1993",
"dlNumber": "04/1234/2007",
"address": [
{
"addressLine1": "",
"state": "",
"district": "",
"pin": null,
"completeAddress": "AARADHYA BHAVAN, PERUMBAVUR, EDACHIRA P O",
"country": "",
"type": "NA"
}
],
"status": "Active",
"statusDetails": {
"from": "",
"to": "",
"remarks": ""
},
"validity": {
"nonTransport": "",
"transport": ""
},
"covDetails": [
{
"cov": "LMV",
"issueDate": "26-12-2011"
},
{
"cov": "MCWG",
"issueDate": "26-12-2011"
}
],
"issueDate": "26-12-2011"
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}